| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DOMTypeInfo Class Reference

The `DOMTypeInfo` interface represent a type used by `DOMElement` or `DOMAttr` nodes, specified in the schemas associated with the document. More...

List of all members.

## Public Methods

Destructor
virtual | ~DOMTypeInfo ()
| Destructor. More...
virtual const XMLCh * | getName () const=0
| Returns The name of a type declared for the associated `DOMElement` or `DOMAttr`, or null if undeclared. More...
virtual const XMLCh * | getNamespace () const=0
| The namespace of the type declared for the associated `DOMElement` or `DOMAttr` or null if the `DOMElement` does not have declaration or if no namespace information is available. More...

## Protected Methods

Hidden constructors
| DOMTypeInfo ()

## Detailed Description

The `DOMTypeInfo` interface represent a type used by `DOMElement` or `DOMAttr` nodes, specified in the schemas associated with the document.

The type is a pair of a namespace URI and name properties, and depends on the document's schema.

## Constructor & Destructor Documentation

DOMTypeInfo::DOMTypeInfo | ( |  | ) | `[protected]`

virtual DOMTypeInfo::~DOMTypeInfo | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual const XMLCh* DOMTypeInfo::getName | ( |  | ) | const`[pure virtual]`

Returns The name of a type declared for the associated `DOMElement` or `DOMAttr`, or null if undeclared.

"Experimental - subject to change"

Returns:
  The name of a type declared for the associated `DOMElement` or `DOMAttribute`, or null if undeclared.

Since:
  DOM level 3

virtual const XMLCh* DOMTypeInfo::getNamespace | ( |  | ) | const`[pure virtual]`

The namespace of the type declared for the associated `DOMElement` or `DOMAttr` or null if the `DOMElement` does not have declaration or if no namespace information is available.

"Experimental - subject to change"

Returns:
  The namespace of the type declared for the associated `DOMElement` or `DOMAttr` or null if the `DOMElement` does not have declaration or if no namespace information is available.

Since:
  DOM level 3

The documentation for this class was generated from the following file:

- DOMTypeInfo.hpp

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.